proc iml;

   show datasets;

   /* Set the default library */
   reset deflib=sashelp;

   /* Open the CLASS dataset for reading */
   use class var {height, weight};

   /* Display all the variables and observations */
   list all;

   /* List the datasets that are open */
   show datasets;

   /* Create a Matrix Y from the weight var */
   read all var {weight} into Y;
   print Y;

   /* Create a Matrix IND from the height var */
   read all var {height} into IND;
   print IND;

   /* Calculate N*/
   N = nrow(Y); 
   print N;

   /* Create a Nx1 Matrix of 1s*/
   One = J(N,1,1);
   print One;

   /* Create the Matrix X */
   X = One || IND;
   print X;

   /* Calculate the parameter estimates */
   B_hat = inv(T(X)*X)*T(X)*Y;
   print B_hat;

quit;

proc reg data=sashelp.class;
   model weight=height;
run;
quit;
